

main()
{

  setCullFog (0, 5000, 0.5, 0.5, 0.5, 0);
  ambientPlay("ambient_mp_brecourt");

  if ( getcvar("alliedtype") == "british" )
    game["allies"]			= "british";
  else
    if ( getcvar("alliedtype") == "russian" )
      game["allies"]			= "russian";
    else
      game["allies"]			= "american";

  if ( getcvar("alliedrandom") == "1" )
  {
    c=randomint(100);

    if ( c < 33 )
      game["allies"]			= "british";
    else
      if ( c < 66 )
        game["allies"]			= "russian";
      else
        game["allies"]			= "american";
  }

  game["axis"]				= "german";


  game["american_soldiertype"]		= "airborne";
  game["american_soldiervariation"]	= "normal";

  game["russian_soldiertype"]		= "conscript";
  game["russian_soldiervariation"]	= "normal";

  game["british_soldiertype"]		= "airborne";
  game["british_soldiervariation"]	= "normal";

  game["german_soldiertype"]		= "wehrmacht";
  game["german_soldiervariation"]	= "normal";

  game["attackers"]			= "allies";
  game["defenders"]			= "axis";

//  game["layoutimage"]			= "";

  maps\mp\_load::main();

  if ( getcvar("g_gametype") == "hq" )
    thread init_hq();
  else
    hide_hq();

  if ( getcvar("g_gametype") == "dm" )
    thread init_dm();

  if ( getcvar("g_gametype") == "tdm" )
    thread init_tdm();
  
  if ( getcvar("g_gametype") == "bel" )
    thread init_bel();

  if ( getcvar("g_gametype") == "re" )
    thread init_re();

  if ( getcvar("g_gametype") == "sd" )
    thread init_sd();

  thread my_effects();
}


chimney(entity)
{
  maps\mp\_fx::loopfx("smoke2", (entity.origin[0], entity.origin[1], entity.origin[2]), 0.6);
}


smokelinger(entity)
{
  maps\mp\_fx::loopfx("smoke1", (entity.origin[0], entity.origin[1], entity.origin[2]), 0.6);
}


my_effects()
{
  level._effect["smoke2"]=loadfx ("fx/smoke/chimneysmoke.efx");
  level._effect["smoke1"]=loadfx ("fx/smoke/blacksmokelinger.efx");

  smokes = getentarray("chimney", "targetname");
  for ( i=0; i<smokes.size; i++ )
    chimney(smokes[i]);

  smokes = getentarray("smokelinger", "targetname");
  for ( i=0; i<smokes.size; i++ )
    smokelinger(smokes[i]);
}


hide_hq()
{
  radios=getentarray("hqradio","targetname");
  for(i=0; i<radios.size;i++)
    radios[i] hide();
}


init_dm()
{
}

init_tdm()
{
}

init_bel()
{
}

init_re()
{
  level.obj["1"] = (&"RE_OBJ_CODE_BOOK");
  level.obj["2"] = (&"RE_OBJ_CODE_BOOK");
  game["re_attackers"]			= "allies";
  game["re_defenders"]			= "axis";
  game["re_attackers_obj_text"]		= (&"RE_OBJ_DEPOT_OBJ_ATTACKER");
  game["re_defenders_obj_text"]		= (&"RE_OBJ_DEPOT_OBJ_DEFENDER");
  game["re_spectator_obj_text"]		= (&"RE_OBJ_DEPOT_OBJ_SPECTATOR");
  game["re_attackers_intro_text"]	= (&"RE_OBJ_DEPOT_SPAWN_ATTACKER");
  game["re_defenders_intro_text"]	= (&"RE_OBJ_DEPOT_SPAWN_DEFENDER");
}


init_hq()
{
}


init_sd()
{
}